Resource

SMS Log

Logs of all the SMS sent out to all users and subscribers for this project.

The SMS Log Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    toNumber
    Type
    PhoneRequired
    Description

    Phone Number SMS was sent to

  • Name
    fromNumber
    Type
    Phone
    Description

    Phone Number SMS was sent from

  • Name
    smsText
    Type
    Very Long Text
    Description

    Text content of the message

  • Name
    statusMessage
    Type
    Long Text
    Description

    Status Message (if any)

  • Name
    providerExternalId
    Type
    Long Text
    Description

    ID returned by the SMS provider (used for delivery status webhooks)

  • Name
    status
    Type
    TextRequired
    Description

    Status of the SMS sent

  • Name
    smsCostInUSDCents
    Type
    NumberRequired
    Description

    SMS Cost in USD Cents

  • Name
    incident
    Type
    Incident
    Description

    Incident associated with this SMS (if any)

  • Name
    incidentId
    Type
    Object ID
    Description

    ID of Incident associated with this SMS (if any)

  • Name
    user
    Type
    User
    Description

    User who initiated this SMS (if any)

  • Name
    userId
    Type
    Object ID
    Description

    ID of User who initiated this SMS (if any)

  • Name
    alert
    Type
    Alert
    Description

    Alert associated with this SMS (if any)

  • Name
    alertId
    Type
    Object ID
    Description

    ID of Alert associated with this SMS (if any)

  • Name
    monitor
    Type
    Monitor
    Description

    Monitor associated with this SMS (if any)

  • Name
    monitorId
    Type
    Object ID
    Description

    ID of Monitor associated with this SMS (if any)

  • Name
    scheduledMaintenance
    Type
    Scheduled Maintenance Event
    Description

    Scheduled Maintenance associated with this SMS (if any)

  • Name
    scheduledMaintenanceId
    Type
    Object ID
    Description

    ID of Scheduled Maintenance associated with this SMS (if any)

  • Name
    statusPage
    Type
    Status Page
    Description

    Status Page associated with this SMS (if any)

  • Name
    statusPageId
    Type
    Object ID
    Description

    ID of Status Page associated with this SMS (if any)

  • Name
    statusPageAnnouncement
    Type
    Status Page Announcement
    Description

    Status Page Announcement associated with this SMS (if any)

  • Name
    statusPageAnnouncementId
    Type
    Object ID
    Description

    ID of Status Page Announcement associated with this SMS (if any)

  • Name
    onCallDutyPolicy
    Type
    On-Call Policy
    Description

    On-Call Duty Policy associated with this SMS (if any)

  • Name
    onCallDutyPolicyId
    Type
    Object ID
    Description

    ID of On-Call Duty Policy associated with this SMS (if any)

  • Name
    onCallDutyPolicyEscalationRule
    Type
    Escalation Rule
    Description

    On-Call Duty Policy Escalation Rule associated with this SMS (if any)

  • Name
    onCallDutyPolicyEscalationRuleId
    Type
    Object ID
    Description

    ID of On-Call Duty Policy Escalation Rule associated with this SMS (if any)

  • Name
    onCallDutyPolicySchedule
    Type
    On-Call Policy Schedule
    Description

    On-Call Duty Policy Schedule associated with this SMS (if any)

  • Name
    onCallDutyPolicyScheduleId
    Type
    Object ID
    Description

    ID of On-Call Duty Policy Schedule associated with this SMS (if any)

  • Name
    team
    Type
    Team
    Description

    Team associated with this SMS (if any)

  • Name
    teamId
    Type
    Object ID
    Description

    ID of Team associated with this SMS (if any)

GETorPOST/api/sms-log/get-list

List

This endpoint allows you to retrieve a paginated list of all your SMS Log. By default, a maximum of ten SMS Log are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/sms-log/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "smsCostInUSDCents": true,
    "status": true,
    "toNumber": true,
    "alert": true
  },
  "query": {
    "status": "Delivered"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37789690-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "smsCostInUSDCents": 75,
      "status": "Delivered",
      "toNumber": "+1-555-123-4567",
      "alert": "d4e5f6a7-89ab-23de-f456-456789abcdef"
    },
    {
      "_id": "37789691-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "smsCostInUSDCents": 75,
      "status": "Delivered",
      "toNumber": "+1-555-123-4567",
      "alert": "d4e5f6a7-89ab-23de-f456-456789abcdef"
    },
    {
      "_id": "37789692-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "smsCostInUSDCents": 75,
      "status": "Delivered",
      "toNumber": "+1-555-123-4567",
      "alert": "d4e5f6a7-89ab-23de-f456-456789abcdef"
    }
  ]
}
GETorPOST/api/sms-log/:id/get-item

Get item by ID

This endpoint allows you to retrieve SMS Log by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/sms-log/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "smsCostInUSDCents": true,
    "status": true,
    "toNumber": true,
    "alert": true
  }
}

Response

{
  "_id": "37789690-28fe-11f1-b591-3fdcef396aba",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "smsCostInUSDCents": 75,
  "status": "Delivered",
  "toNumber": "+1-555-123-4567",
  "alert": "d4e5f6a7-89ab-23de-f456-456789abcdef"
}
POST/api/sms-log/count

Count

This endpoint allows you to retrieve the count of all your SMS Log.

Optional Request Body

Count Request

POST
/api/sms-log/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "status": "Delivered"
  }
}

Response

{
  "count": 107
}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read SMS Log

  • Project Owner
  • Project Admin
  • Project Member
  • Read SMS Log
  • Read All Project Resources

Create Permissions

Required to create SMS Log

This resource cannot be created via the API

Update Permissions

Required to update SMS Log

This resource cannot be updated via the API

Delete Permissions

Required to delete SMS Log

This resource cannot be deleted via the API